#!/bin/sh

rtc-template -bcxx \
    --module-name=MotionGenerator --module-type='DataFowComponent' \
    --module-desc='Motion generator component for reference hardware arm modle' \
    --module-version=1.0 --module-vendor='Junichiro Ooga, TOSHIBA' \
    --module-category='RobotController' \
    --module-comp-type=DataFlowComponent --module-act-type=PERIODIC \
    --module-max-inst=1 \
    --outport=TargetVelocity:TimedDoubleSeq \
    --inport=CurrentAngle:TimedDoubleSeq \
    --inport=TargetAngle:TimedDoubleSeq \
    --inport=TargetPosition:TimedDoubleSeq
